#include "xglyph.h"

XGlyph::XGlyph()
    : XAsset()
    , mLetter(0)
    , mX0(0)
    , mY0(0)
    , mDx(0)
    , mPixelWidth(0)
    , mPixelHeight(0)
    , mS0(0)
    , mT0(0)
    , mS1(0)
    , mT1(0)
{
    SetName("Glyph");
}

XGlyph::~XGlyph()
{
    
}

void XGlyph::Clear()
{
    mLetter = 0;
    mX0 = 0;
    mY0 = 0;
    mDx = 0;
    mPixelWidth = 0;
    mPixelHeight = 0;
    mS0 = 0;
    mT0 = 0;
    mS1 = 0;
    mT1 = 0;
}

void XGlyph::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGlyph::ParseData
}
